Bug 1452126 - Review Request: python-m2r - Markdown to reStructuredText converter
Summary: Review Request: python-m2r - Markdown to reStructuredText converter
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sebastian Kisela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-18 11:59 UTC by Nikola Forró
Modified: 2017-06-15 11:21 UTC (History)
2 users (show)

Fixed In Version: python-m2r-0.1.6-1.git871d579.fc24, python-m2r-0.1.6-1.git871d579.fc25, python-m2r-0.1.6-1.git871d579.fc26, python-m2r-0.1.6-1.git871d579.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-15 11:21:52 UTC
skisela: fedora-review+


Attachments (Terms of Use)

Comment 2 Sebastian Kisela 2017-05-25 14:09:51 UTC
Builds:   OK
Installs: OK
License:  Specified

Meets Packaging Guidelines
Meets Python Packaging Guidelines

Looks good to me.

Comment 3 Sebastian Kisela 2017-05-25 14:45:11 UTC
===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 26 files have
     unknown license. Detailed output of licensecheck in
     /home/skisela/packages/python-m2r/1452126-python-m2r/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-m2r , python3-m2r
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-m2r-0.1.5-2.git539a079.fc25.noarch.rpm
          python3-m2r-0.1.5-2.git539a079.fc25.noarch.rpm
          python-m2r-0.1.5-2.git539a079.fc25.src.rpm
python2-m2r.noarch: W: spelling-error Summary(en_US) reStructuredText -> restructured Text, restructured-text, restructure
python2-m2r.noarch: W: spelling-error %description -l en_US reST -> rest, re ST, re-ST
python3-m2r.noarch: W: spelling-error Summary(en_US) reStructuredText -> restructured Text, restructured-text, restructure
python3-m2r.noarch: W: spelling-error %description -l en_US reST -> rest, re ST, re-ST
python3-m2r.noarch: W: no-manual-page-for-binary m2r
python-m2r.src: W: spelling-error Summary(en_US) reStructuredText -> restructured Text, restructured-text, restructure
python-m2r.src: W: spelling-error %description -l en_US reST -> rest, re ST, re-ST
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
python3-m2r.noarch: W: spelling-error Summary(en_US) reStructuredText -> restructured Text, restructured-text, restructure
python3-m2r.noarch: W: spelling-error %description -l en_US reST -> rest, re ST, re-ST
python3-m2r.noarch: W: no-manual-page-for-binary m2r
python2-m2r.noarch: W: spelling-error Summary(en_US) reStructuredText -> restructured Text, restructured-text, restructure
python2-m2r.noarch: W: spelling-error %description -l en_US reST -> rest, re ST, re-ST
2 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
python3-m2r (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-docutils
    python3-mistune

python2-m2r (rpmlib, GLIBC filtered):
    python(abi)
    python-docutils
    python-mistune



Provides
--------
python3-m2r:
    python3-m2r
    python3.5dist(m2r)
    python3dist(m2r)

python2-m2r:
    python-m2r
    python2-m2r
    python2.7dist(m2r)
    python2dist(m2r)



Source checksums
----------------
https://github.com/miyakogi/m2r/archive/539a0794236ad25d03bab717c2cc5555d3b098de/m2r-539a0794236ad25d03bab717c2cc5555d3b098de.tar.gz :
  CHECKSUM(SHA256) this package     : 7e74c04ae5e88019b4f39e8bda215e2ceed9e5d641c03cfb5e48b35b28a5290c
  CHECKSUM(SHA256) upstream package : 7e74c04ae5e88019b4f39e8bda215e2ceed9e5d641c03cfb5e48b35b28a5290c


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1452126
Buildroot used: fedora-25-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Gwyn Ciesla 2017-05-25 15:26:31 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-m2r

Comment 5 Fedora Update System 2017-05-25 15:54:49 UTC
python-m2r-0.1.5-2.git539a079.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3a808d403f

Comment 6 Fedora Update System 2017-05-25 15:54:57 UTC
python-m2r-0.1.5-2.git539a079.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6569ede501

Comment 7 Fedora Update System 2017-05-25 15:55:02 UTC
python-m2r-0.1.5-2.git539a079.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7b3cdfaf1f

Comment 8 Fedora Update System 2017-05-26 06:00:35 UTC
python-m2r-0.1.5-2.git539a079.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6569ede501

Comment 9 Fedora Update System 2017-05-26 06:03:48 UTC
python-m2r-0.1.5-2.git539a079.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3a808d403f

Comment 10 Fedora Update System 2017-05-26 19:35:18 UTC
python-m2r-0.1.5-2.git539a079.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7b3cdfaf1f

Comment 11 Fedora Update System 2017-05-31 09:20:35 UTC
python-m2r-0.1.6-1.git871d579.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e067cc28d

Comment 12 Fedora Update System 2017-05-31 09:20:47 UTC
python-m2r-0.1.6-1.git871d579.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-82163acc0c

Comment 13 Fedora Update System 2017-05-31 09:20:57 UTC
python-m2r-0.1.6-1.git871d579.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c198222d51

Comment 14 Fedora Update System 2017-06-01 03:22:00 UTC
python-m2r-0.1.6-1.git871d579.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1e067cc28d

Comment 15 Fedora Update System 2017-06-01 07:05:43 UTC
python-m2r-0.1.6-1.git871d579.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-82163acc0c

Comment 16 Fedora Update System 2017-06-01 07:08:22 UTC
python-m2r-0.1.6-1.git871d579.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c198222d51

Comment 17 Fedora Update System 2017-06-09 09:25:01 UTC
python-m2r-0.1.6-1.git871d579.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-06-09 11:30:05 UTC
python-m2r-0.1.6-1.git871d579.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-06-09 19:17:51 UTC
python-m2r-0.1.6-1.git871d579.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.